// New modules for USB and TCP connection types
mod usb {
    use meshastic::{UsbConnection, MeshasticClient};

    pub fn establish_connection() -> Result<MeshasticClient<UsbConnection>, String> {
        let usb_serial = UsbConnection::new("/dev/ttyUSB0", 9600);
        let mesh_client = MeshasticClient::new(usb_serial);

        println!("Using USB Serial connection");
        mesh_client.connect().map_err(|e| format!("Failed to connect via USB: {}", e))?;
        
        Ok(mesh_client)
    }
}

mod tcp {
    use meshastic::{TcpConnection, MeshasticClient};

    pub fn establish_connection() -> Result<MeshasticClient<TcpConnection>, String> {
        let tcp_conn = TcpConnection::new("192.168.0.10:1234");
        let mesh_client = MeshasticClient::new(tcp_conn);

        println!("Using TCP connection");
        mesh_client.connect().map_err(|e| format!("Failed to connect via TCP: {}", e))?;

        Ok(mesh_client)
    }
}



fn main() {

}
